# TdApi.SendBotStartMessage (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: SendBotStartMessage

Package it.tdlight.jni

# Class TdApi.SendBotStartMessage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.SendBotStartMessage

Enclosing class:
  TdApi

    public static class TdApi.SendBotStartMessage
    extends TdApi.Function

Invites a bot to a chat (if it is not yet a member) and sends it the /start command. Bots can't be invited to a private chat other than the chat with the bot. Bots can't be invited to channels (although they can be added as admins) and secret chats. Returns the sent message.

Returns `Message`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `botUserId` | Identifier of the bot.
`long` | `chatId` | Identifier of the target chat.
`static int` | `CONSTRUCTOR` |
`String` | `parameter` | A hidden parameter sent to the bot for deep linking purposes (https://core.telegram.org/bots#deep-linking).

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SendBotStartMessage()` | Invites a bot to a chat (if it is not yet a member) and sends it the /start command.
`SendBotStartMessage​(long botUserId, long chatId, String parameter)` | Invites a bot to a chat (if it is not yet a member) and sends it the /start command.
`SendBotStartMessage​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### botUserId

public long botUserId
Identifier of the bot.

### chatId

public long chatId
Identifier of the target chat.

### parameter

public String parameter
A hidden parameter sent to the bot for deep linking purposes (https://core.telegram.org/bots#deep-linking).

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### SendBotStartMessage

public SendBotStartMessage()
Invites a bot to a chat (if it is not yet a member) and sends it the /start command. Bots can't be invited to a private chat other than the chat with the bot. Bots can't be invited to channels (although they can be added as admins) and secret chats. Returns the sent message.

Returns `Message`

### SendBotStartMessage

public SendBotStartMessage​(long botUserId, long chatId, String parameter)
Invites a bot to a chat (if it is not yet a member) and sends it the /start command. Bots can't be invited to a private chat other than the chat with the bot. Bots can't be invited to channels (although they can be added as admins) and secret chats. Returns the sent message.

Returns `Message`

Parameters:
  `botUserId` - long Identifier of the bot.
  `chatId` - long Identifier of the target chat.
  `parameter` - String A hidden parameter sent to the bot for deep linking purposes (https://core.telegram.org/bots#deep-linking).

### SendBotStartMessage

public SendBotStartMessage​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`